package com.bocloud.cmp.model.storage;

import java.util.Date;

/**
 * 存储的性能统计
 */
public class StatsStorageModel {
    private String type; // 类型
    private String providerKey; // 名称 + provider id
    private String sampleInterval; // Some statistics are sampled at consistent time intervals
    private Date statsTime; // 统计进行的时间
    private Date startStatsTime; // The time, relative to managed element where the statistic was collected
    private Double readHitIos; // the cumulative count of all read cache hits (Reads from Cache)
    private Double readHitIoCounter; // The cumulative elapsed time for all Read I/Os read from cache for all cumulative Read I/Os.
    private Double writeHitIos; // The cumulative count of Write Cache Hits (Writes that went directly to Cache without blocking)
    private Double writeHitIoCounter; // The cumulative elapsed time using ClockTickInterval units for all Write I/Os written to cache for all cumulative Write I/Os.
    private Double idleCounter; // The cumulative elapsed idle time using ClockTickInterval units
    private Double mainOp; // The cumulative count of all disk maintenance operations
    private Double mainCounter; // The cumulative elapsed disk mainenance time
    private Double totalIos; // The cumulative count of I/Os for the object.
    private Double kbytesTransferred; // The cumulative count of data transferred in Kbytes (1024bytes = 1KByte)
    private Double ioCounter; // The cumulative elapsed I/O time (number of Clock Tick Intervals)
    private Double readIos; // The cumulative count of all reads.
    private Double readIoCounter; // The cumulative elapsed time for all Read I/Os for all cumulative Read I/Os
    private Double kbytesRead; // The cumulative count of data read in Kbytes
    private Double writeIos; // The cumulative count of all writes
    private Double writeIoCounter; // The cumulative elapsed time for all Write I/Os for all cumulative Writes
    private Double kbytesWritten; // The cumulative count of data written in Kbytes

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getProviderKey() {
        return providerKey;
    }

    public void setProviderKey(String providerKey) {
        this.providerKey = providerKey;
    }

    public String getSampleInterval() {
        return sampleInterval;
    }

    public void setSampleInterval(String sampleInterval) {
        this.sampleInterval = sampleInterval;
    }

    public Date getStatsTime() {
        return statsTime;
    }

    public void setStatsTime(Date statsTime) {
        this.statsTime = statsTime;
    }

    public Date getStartStatsTime() {
        return startStatsTime;
    }

    public void setStartStatsTime(Date startStatsTime) {
        this.startStatsTime = startStatsTime;
    }

    public Double getReadHitIos() {
        return readHitIos;
    }

    public void setReadHitIos(Double readHitIos) {
        this.readHitIos = readHitIos;
    }

    public Double getReadHitIoCounter() {
        return readHitIoCounter;
    }

    public void setReadHitIoCounter(Double readHitIoCounter) {
        this.readHitIoCounter = readHitIoCounter;
    }

    public Double getWriteHitIos() {
        return writeHitIos;
    }

    public void setWriteHitIos(Double writeHitIos) {
        this.writeHitIos = writeHitIos;
    }

    public Double getWriteHitIoCounter() {
        return writeHitIoCounter;
    }

    public void setWriteHitIoCounter(Double writeHitIoCounter) {
        this.writeHitIoCounter = writeHitIoCounter;
    }

    public Double getIdleCounter() {
        return idleCounter;
    }

    public void setIdleCounter(Double idleCounter) {
        this.idleCounter = idleCounter;
    }

    public Double getMainOp() {
        return mainOp;
    }

    public void setMainOp(Double mainOp) {
        this.mainOp = mainOp;
    }

    public Double getMainCounter() {
        return mainCounter;
    }

    public void setMainCounter(Double mainCounter) {
        this.mainCounter = mainCounter;
    }

    public Double getTotalIos() {
        return totalIos;
    }

    public void setTotalIos(Double totalIos) {
        this.totalIos = totalIos;
    }

    public Double getKbytesTransferred() {
        return kbytesTransferred;
    }

    public void setKbytesTransferred(Double kbytesTransferred) {
        this.kbytesTransferred = kbytesTransferred;
    }

    public Double getIoCounter() {
        return ioCounter;
    }

    public void setIoCounter(Double ioCounter) {
        this.ioCounter = ioCounter;
    }

    public Double getReadIos() {
        return readIos;
    }

    public void setReadIos(Double readIos) {
        this.readIos = readIos;
    }

    public Double getReadIoCounter() {
        return readIoCounter;
    }

    public void setReadIoCounter(Double readIoCounter) {
        this.readIoCounter = readIoCounter;
    }

    public Double getKbytesRead() {
        return kbytesRead;
    }

    public void setKbytesRead(Double kbytesRead) {
        this.kbytesRead = kbytesRead;
    }

    public Double getWriteIos() {
        return writeIos;
    }

    public void setWriteIos(Double writeIos) {
        this.writeIos = writeIos;
    }

    public Double getWriteIoCounter() {
        return writeIoCounter;
    }

    public void setWriteIoCounter(Double writeIoCounter) {
        this.writeIoCounter = writeIoCounter;
    }

    public Double getKbytesWritten() {
        return kbytesWritten;
    }

    public void setKbytesWritten(Double kbytesWritten) {
        this.kbytesWritten = kbytesWritten;
    }
}
